[Megoldva] Nextcloud 20 > 21.0.1 upgrade után

Fórumok

Sziasztok !

Megjelent egy hibaüzenet a biztonsági ellenőrzés kimenetében:

Figyelmeztetések találhatók a beállításaival kapcsolatban.

  • A webkiszolgálója nincs megfelelően beállítva a(z) „/.well-known/webfinger” feloldásához. További információk a dokumentációban találhatók.
  • A webkiszolgálója nincs megfelelően beállítva a(z) „/.well-known/nodeinfo” feloldásához. További információk a dokumentációban találhatók.

 

Elég sokat gugliztam és sokaknak van ez a probléma a NC21 frissítése után. Apache szerverre a fórumok többsége megoldatlanul ért véget :(

Ahogy láttam a HUP fórumait, elég sokan használtok NC-t. Ez a biztonsági üzenet van valakinek illetve sikerült orvosolni a hibát ?

Csak érdekesség. A .htaccess fájlban a változásokra nem reagál a Nextcloud (NC20-nál reagált) 

Köszi, ha tudtok segíteni

Karesz

Fedora 33 server

Uptodate system, php és mysql

 

Megoldás:

https://github.com/nextcloud/server/issues/25753#issuecomment-817152365

Hozzászólások

A .htaccess-ben található konfig bejegyzéseket az apache értelmezi, már ha jól van beállítva, a Nextcloud-nak semmi köze hozzá.

Azt kellene megnézni, hogy ha nem hajtódnak végre, akkor az apache miért nem alkalmazza a beállításokat!

Szerintem, ha ezt megoldod, a témaindító probléma is megoldódik.

A kellően fejlett technológia, megkülönböztethetetlen a varázslattól.
Arthur C. Clark

Kapcsolja vissza a mikrofont!
Winston Churcill

Bocs az én hibám. Azt akartam mondani ezzel,  hogy az NC doksikban javasolt .htaccess beállításokra nem reagál a Nextcloud.  Ha más beállításokat módosítok, akkor az lefut, tehát szerintem a .htaccess fájt értelmezi az Apache.

Szia,

Nginx alatt a következő két sor volt a megoldás :

    rewrite ^/.well-known/webfinger /index.php$uri redirect;
    rewrite ^/.well-known/nodeinfo /index.php$uri redirect;

Apache alatt nem tudom, de hátha ad valami támpontot.

 

 

 

 

Szia!
A megoldást nem tudom, de kérdeznék, hogy ez konkrétan a 21.1 alatt van-e, mert nekem 21 van és apache van alatta és nincs hiba, viszont így akkor egyelőre nem is frissítek 21.1-re.

üdv: pomm

A 852-es kídlap telepötúsa sikeresen befejezádétt